<div class="container">
  <div class="row">
    <div class="offset-md-2 col-md-8 entry">
      <mmd-big-input rtl [placeholder]="'mmd.examples.todos.input' | translate" [value]="newTodo" (keyup)="onNewTodoChange($event.target.value)"
        (keyup.enter)="!isAddTodoDisabled && onAddTodo()" (keyup.escape)="onNewTodoClear()">
        <mmd-big-input-action fontSet="fas" fontIcon="fa-plus" faIcon="plus" color="accent"
          (action)="onAddTodo()" [disabled]="isAddTodoDisabled" [matTooltip]="'mmd.examples.todos.tooltip.add' | translate"
          matTooltipPosition="before">
        </mmd-big-input-action>
        <mmd-big-input-action fontSet="fas" fontIcon="fa-trash" faIcon="trash" color="warn"
          (action)="onRemoveDoneTodos()" [disabled]="removeDoneDisabled$ | async"
          [matTooltip]="'mmd.examples.todos.tooltip.remove' | translate" matTooltipPosition="after">
        </mmd-big-input-action>
      </mmd-big-input>
    </div>
  </div>
  <div class="row">
    <ng-container *ngIf="todos$ | async as todos">
      <div class="col-md-6">
        <h2 class="dotos-title" rtl>
          <span>{{ 'mmd.examples.todos.list' | translate }}</span>
          <button class="todos-filter" mat-icon-button [matMenuTriggerFor]="todosFilter">
            <fa-icon icon="filter"></fa-icon>
          </button>
          <mat-menu class="todos-filter-menu-overlay" #todosFilter="matMenu" xPosition="before">
            <button mat-menu-item (click)="onFilterTodos('ALL')" [ngClass]="{ active: todos.filter === 'ALL' }" rtl>
              <mat-icon>
                <fa-icon icon="tasks"></fa-icon>
              </mat-icon>
              <span>{{ 'mmd.examples.todos.filter.all' | translate }}</span>
            </button>
            <button mat-menu-item (click)="onFilterTodos('DONE')" [ngClass]="{ active: todos.filter === 'DONE' }">
              <mat-icon>
                <fa-icon icon="check"></fa-icon>
              </mat-icon>
              <span>{{ 'mmd.examples.todos.filter.done' | translate }}</span>
            </button>
            <button mat-menu-item (click)="onFilterTodos('ACTIVE')" [ngClass]="{ active: todos.filter === 'ACTIVE' }">
              <mat-icon>
                <fa-icon icon="square"></fa-icon>
              </mat-icon>
              <span>{{ 'mmd.examples.todos.filter.active' | translate }}</span>
            </button>
          </mat-menu>
          <mat-chip-list class="todos-filter-info d-none d-sm-block d-md-none d-lg-block">
            <mat-chip [disabled]=true [ngPlural]="todos.length">
              {{ 'mmd.examples.todos.filter.description' | translate }}
              <ng-template ngPluralCase="other">{{ todos.length }} {{ 'mmd.examples.todos.filter.items' |
                translate }}</ng-template>
              <ng-template ngPluralCase="=1">{{ 'mmd.examples.todos.filter.one' | translate }} {{
                'mmd.examples.todos.filter.item' | translate }}</ng-template>
              <ng-template ngPluralCase="=0">{{ 'mmd.examples.todos.filter.none' | translate }} {{
                'mmd.examples.todos.filter.items' | translate }}</ng-template>
            </mat-chip>
          </mat-chip-list>
        </h2>
        <mat-card *ngFor="let todo of todos" class="todo" [ngClass]="routeAnimationsElements">
          <mat-checkbox class="todo-done" [checked]="todo.done" (change)="onToggleTodo(todo)"></mat-checkbox>
          <span class="todo-label" [ngClass]="{ 'todo-label-done': todo.done }" (click)="onToggleTodo(todo)">
            &nbsp;{{todo.name}}&nbsp;
          </span>
        </mat-card>
        <br>
        <br>
      </div>
  </ng-container>
    <div class="offset-md-1 col-md-5" [ngClass]="routeAnimationsElements" rtl>
      <h2>{{ 'mmd.examples.todos.example' | translate }}</h2>
      <p>
        {{ 'mmd.examples.todos.text1' | translate }}
        <code>{{ 'mmd.examples.todos.text2' | translate }}</code>
        {{ 'mmd.examples.todos.text3' | translate }}
      </p>
      <p>
        {{ 'mmd.examples.todos.text4' | translate }} <code>ngrx</code>
        {{ 'mmd.examples.todos.text5' | translate }}
      </p>
      <p>{{ 'mmd.examples.todos.text6' | translate }}</p>
      <br>
    </div>
  </div>

</div>
